#ifndef MODEL_CFG_H
#define MODEL_CFG_H

#include "at32f403a_407.h"
#include <stdbool.h>


#if defined (MDIO_88)
#define MODEL_STR           "MDIO-88"
#define MODEL_CODE          0x0100
#elif defined (MAO_8)
#define MODEL_STR           "MAO_8"
#define MODEL_CODE          0x0200
#elif defined (MAI_12)
#define MODEL_STR           "MAI_12"
#define MODEL_CODE          0x0300
#else
#define MODEL_STR           ""
#define MODEL_CODE          0x0
#endif


static const uint16_t model_code = MODEL_CODE;

#define MODEL_ADDR          0x080211F0

#define MODEL_LEN           16



#endif /* #ifndef MODEL_CFG_H */

