from io_module import IO_Module
from modbus import Modbus, MBError, NoResponseError
from log_reader import DigitalLogReader
import log_reader
import colorama
from colorama import Fore
from time import sleep
import time
from datetime import datetime, timedelta, timezone

class IO_Digital(IO_Module):
    def __init__(self, tty: str, brate: int, address: int):
        self.modbus = Modbus(tty, brate, address)
        super().__init__(self.modbus)
        self.log = DigitalLogReader(self.modbus)
 
    


def main():
    colorama.init(autoreset=True)
    dev = IO_Digital('COM24', 115200, 15)
    dev.modbus.MB_DEBUG = False

    '''Системные переменные и параметры'''
    # dev.sys.get_system_vars()

    ''' Установить текущее время с учетом часового пояса'''
    # dev.sys.set_rtc()     
    

    '''Лог и архив. Настройки лога.'''
    # dev.log.get_log_info()
    # dev.log.get_random_entries()
    # dev.log.set_archive_period(10)
    # dev.log.get_all_archive()
    dev.log.get_all_log()
    
    '''Сохранение настроек'''
    # dev.sys.save_sattings()

    '''Обновление'''
    # dev.updater.update('fw.bin', 'MDIO-88')
    
    
if __name__ == '__main__':
    main()